routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\StudentController;


Route::view('create','create');

Route::get('display',[StudentController::class,'display']);
Route::get('delete/{id}',[StudentController::class,'delete']);
Route::get('edit/{id}',[StudentController::class,'edit']);
Route::post('edit',[StudentController::class,'update']);
Route::post('create',[StudentController::class,'create']);

app/Models/Student.php
<?php

namespace App\Models;

use Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Student extends Model
{
    use HasFactory;
    protected $fillable = [
        'id', 'first_name', 'last_name', 'gender', 'dob', 'school_name', 'university'
    ];

    public function getAgeAttribute()
    {
        return (date('Y') - date('Y', strtotime( $this->attributes['dob'] )));
    }
   
    public function getDateAttribute()
    {
        return date('d-m-Y',strtotime( $this->attributes['dob'] ));
    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, ValidatesRequests;
}

app/Http/Controllers/StudentController.php
<?php

namespace App\Http\Controllers;

use App\Http\Controllers\Controller;
use App\Http\Requests\StudentRequest;
use Illuminate\Http\Request;

use App\Models\Student;

class StudentController extends Controller
{
    

    public function display()
    {
        $students= Student::all();  
        return view('display',['st'=>$students]);
    }

    
    

    public function create(StudentRequest $request)
    {  
        $student = new Student;
        $student->first_name = $request->first_name;
        $student->last_name = $request->last_name;
        $student->gender = $request->gender;
        $student->dob = date("Y-m-d",strtotime($request->dob));
        $student->school_name = $request->school_name;
        $student->university = $request->university;
        $student->save();
        return redirect('display');
    }

    public function delete($id)
    {
        $student = Student::find($id);
        $student->delete();
        return redirect('display');
    }

    public function edit($id)
    {
        $student = Student::find($id);
        // dd($student);
        return view('edit',['student'=> $student]);
    }

    public function update(StudentRequest $request)
    {
        $student = Student::find($request->id);
        $student->first_name = $request->first_name;
        $student->last_name = $request->last_name;
        $student->gender = $request->gender;
        $student->dob = date("Y-m-d",strtotime($request->dob));
        $student->school_name = $request->school_name;
        $student->university = $request->university;
        $student->save();
        return redirect('display');
    }
}

resources/views/create.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Student Management</title>
    <style>
        table{ border-collapse:collapse; }
        td,th{ padding : 2px 10px;}
        li{ color : red}
    </style>
</head>
<body>
    @if($errors->any())
        @foreach ($errors->all() as $err)
            <li>{{$err}}</li>
        @endforeach<br>
    @endif
        
    <form method="post" action="create" >
        @csrf
        <table>
            <tr><td><label for="first_name">Last Name :</label></td> <td><input type="text" name="first_name"></td></tr>
            <tr><td><label for="last_nam">Last Name :</label></td> <td><input type="text" name="last_name"></td></tr>
            <tr><td><label for="gender">Gender :</label></td> 
                <td><select name="gender" id="gender">
                    <option value="male">Male</option>
                    <option value="female">Female</option>
                    <option value="other">Other</option>
                  </select></td></tr>
            <tr><td><label for="dob">Birth Date :</label></td> <td><input type="text" placeholder="dd-mm-yy" name="dob"></td></tr>
            <tr><td><label for="school_name">School Name :</label></td> <td><input type="text" name="school_name"></td></tr>
            <tr><td><label for="university">Universiy :</label></td> <td><input type="text" name="university"></td></tr>
            <tr><td><input type="submit" value="Add Student"></tr>
        </table> 
    </form>
</body>
</html>

resources/views/display.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
    table, th, td {border:1px solid black;}
    table{border-collapse:collapse;}
    th{ font-size: 1.3em;}
    td,th{ padding : 10px 20px;}
    </style>
</head>
<body>
    <h1>Student Details</h1>
    <table>
        <tr>
        <th>First Name</th>
        <th>Last Name</th>
        <th>Gender</th>
        <th>Age</th>
        <th>School Name</th>
        <th>University</th>
        <th colspan="2">Actions</th>
        </tr>
  @foreach($st as $student)
    <tr>
   
      <td>{{$student['first_name']}}</td>
      <td>{{$student['last_name']}}</td>
      <td>{{$student['gender']}}</td>
      <td>{{$student->age}}</td>
      <td>{{$student['school_name']}}</td>
      <td>{{$student['university']}}</td>
      <td><a href="{{"edit/".$student['id']}}">Edit</a></td>
      <td><a href={{"delete/".$student['id']}}>Delete</a></td>
    </tr>
  @endforeach
    </table>
</body>
</html>

resources/views/edit.blade.php
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Student Management</title>
    <style>

    table{
        border-collapse:collapse;
    }
    td,th{
        padding : 2px 10px;
    }
    </style>
</head>
<body>
    <form method="post" action="/edit" >
        @csrf   
        <input type="hidden" name="id" value={{$student['id']}}>
        <table>
            <tr><td><label for="first_name">FirstName :</label></td> <td><input type="text" name="first_name" value="{{ $student['first_name'] }}"></td></tr>
            <tr><td><label for="last_name">Last Name :</label></td> <td><input type="text" name="last_name" value="{{ $student['last_name'] }}"></td></tr>
            <tr><td><label for="gender">Gender :</label></td> <td><input type="text" name="gender" value="{{ $student['gender'] }}"></td></tr>
            <tr><td><label for="dob">Birth Date :</label></td> <td><input type="text" placeholder="dd-mm-yy" name="dob" value="{{ $student->date     }}"></td></tr>
            <tr><td><label for="school_name">School Name :</label></td> <td><input type="text" name="school_name" value="{{ $student['school_name'] }}"></td></tr>
            <tr><td><label for="university">Universiy :</label></td> <td><input type="text" name="university" value="{{ $student['university'] }}"></td></tr>
            <tr><td><input type="submit" value="Edit Student"></tr>
        </table> 
    </form>
</body>
</html>